ResourceBundleELResolver (EL 6.0 API Documentation - Apache Tomcat 11.0.24)
Description: declaration: package: jakarta.el, class: ResourceBundleELResolver

# Class ResourceBundleELResolver

java.lang.Object
jakarta.el.ELResolver
jakarta.el.ResourceBundleELResolver

public class ResourceBundleELResolver extends ELResolver
EL resolver for resource bundle properties.

This resolver handles base objects of type `ResourceBundle`. It accepts any non-null object as a property, coerces it to a String, and uses it to look up the corresponding message in the resource bundle. If the key is not found, the resolver returns a placeholder string of the form `???key???`. Resource bundles are always read-only.

`ELResolver`s are combined using `CompositeELResolver`s to define rich semantics for evaluating an expression. See the javadocs for `ELResolver` for details.

Since:
  EL 2.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceBundleELResolver()`
  Constructs a new instance of the resolver.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getCommonPropertyType(ELContext context, Object base)`
  Obtain the most common type that is acceptable for the given base object.
  `Class<?>`
  `getType(ELContext context, Object base, Object property)`
  Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
  `Object`
  `getValue(ELContext context, Object base, Object property)`
  Obtain the value of the given property on the given object using the given context.
  `boolean`
  `isReadOnly(ELContext context, Object base, Object property)`
  Determine if the given property on the given object is read-only using the given context.
  `void`
  `setValue(ELContext context, Object base, Object property, Object value)`
  Set the value of the given property on the given object using the given context.

  ### Methods inherited from class ELResolver

  `convertToType, invoke`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceBundleELResolver

    public ResourceBundleELResolver()
    Constructs a new instance of the resolver.

- ## Method Details

  - ### getValue

    public Object getValue(ELContext context, Object base, Object property)
    Description copied from class: `ELResolver`
    Obtain the value of the given property on the given object using the given context.
    Specified by:
      `getValue` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose value is to be returned
    Returns:
      the value of the provided property

  - ### getType

    public Class<?> getType(ELContext context, Object base, Object property)
    Description copied from class: `ELResolver`
    Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
    Specified by:
      `getType` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose type is to be returned
    Returns:
      the most general type that maybe used to set the provided property or `null` if the resolver is read-only.

  - ### setValue

    public void setValue(ELContext context, Object base, Object property, Object value)
    Description copied from class: `ELResolver`
    Set the value of the given property on the given object using the given context.
    Specified by:
      `setValue` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose value is to be set
      `value` - The value to set the property to

  - ### isReadOnly

    public boolean isReadOnly(ELContext context, Object base, Object property)
    Description copied from class: `ELResolver`
    Determine if the given property on the given object is read-only using the given context.
    Specified by:
      `isReadOnly` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property to be checked for read only status
    Returns:
      `true` if the identified property is read only, otherwise `false`

  - ### getCommonPropertyType

    public Class<?> getCommonPropertyType(ELContext context, Object base)
    Description copied from class: `ELResolver`
    Obtain the most common type that is acceptable for the given base object.
    Specified by:
      `getCommonPropertyType` in class `ELResolver`
    Parameters:
      `context` - The context in which the examination takes place
      `base` - The object to examine
    Returns:
      {code null} if the most common type cannot be determined, otherwise the most common type